//
// AEon's Egyptian Platform
//##########################
//

//	Desert.shader for Q3Radiant by Sock - 19th August 2000
// -------------------------------
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/aeplat01/desert_skybox
{
	qer_editorimage textures/aeplat01/skybox1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
// was 75, using 130
	q3map_surfacelight 130
	surfaceparm sky
// intensity was 100, using 155, elevation was 45
	q3map_sun 1.00 0.949 0.977 155 200 60
	skyparms env/aeplat01/desert - -
}


//
//	Title  : egyptsoc.shader
//           ---------------
//	Author : Sock
//	URL    : http://www.planetquake.com/simland
//	Version: 1.6

textures/aeplat01/jpgold_floor1b
{
	qer_editorimage textures/aeplat01/jumppad1bg.tga
	q3map_lightimage textures/aeplat01/jumppad1g.blend.tga	
	q3map_surfacelight 400
	{
		map textures/aeplat01/gold_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/aeplat01/jumppadsmall_g.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/aeplat01/jumppad1bg.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/aeplat01/jumppad1g.blend.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
}

textures/aeplat01/lig_064-01y2-2k
{
	qer_editorimage textures/aeplat01/lig_064-01y2.tga
	q3map_lightimage textures/aeplat01/lig_064-01y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aeplat01/lig_064-01y2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aeplat01/lig_064-01y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/aeplat01/lig_b064-01a
{
	qer_editorimage textures/aeplat01/lig_b064-01a.tga
	{
		map textures/aeplat01/lig_b064-01a.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/aeplat01/lig_b064-01b.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}

textures/aeplat01/lig_b064-01d
{
	qer_editorimage textures/aeplat01/lig_b064-01d.tga
	{
		map textures/aeplat01/lig_b064-01d.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/aeplat01/lig_b064-01y.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}
